Developer Configuration
sfp server API reference for Developer Configuration: 8 endpoints.
/sfp/api/devconfig/schemaAuthorization
access-token In: header
Response Body
curl -X GET "https://example.com/sfp/api/devconfig/schema"/sfp/api/devconfig/storedAuthorization
access-token In: header
Query Parameters
Repository identifier in format owner/repo
Response Body
application/json
curl -X GET "https://example.com/sfp/api/devconfig/stored?repositoryIdentifier=flxbl-io%2Fsf-core"{ "repositoryIdentifier": "string", "configs": [ { "config": "string", "version": 0, "defaultAccessLevel": "string", "accessLevels": [ "string" ], "sourcePath": "string" } ]}/sfp/api/devconfigAuthorization
access-token In: header
Query Parameters
Repository identifier in format owner/repo
Named configuration to address. A repository stores one configuration per devconfig file (persona); omitting the name addresses 'default', which is also where configurations stored before names existed appear.
Response Body
application/json
curl -X GET "https://example.com/sfp/api/devconfig?repositoryIdentifier=flxbl-io%2Fsf-core"{ "repositoryIdentifier": "string", "config": "PO_ClientOpsconfig", "devconfig": {}, "version": 0, "sourcePath": "string"}/sfp/api/devconfigAuthorization
access-token In: header
Query Parameters
Repository identifier in format owner/repo
Named configuration to address. A repository stores one configuration per devconfig file (persona); omitting the name addresses 'default', which is also where configurations stored before names existed appear.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/sfp/api/devconfig?repositoryIdentifier=flxbl-io%2Fsf-core" \ -H "Content-Type: application/json" \ -d '{ "devconfig": {} }'{ "repositoryIdentifier": "string", "config": "PO_ClientOpsconfig", "devconfig": {}, "version": 0, "sourcePath": "string"}/sfp/api/devconfigAuthorization
access-token In: header
Query Parameters
Repository identifier in format owner/repo
Named configuration to address. A repository stores one configuration per devconfig file (persona); omitting the name addresses 'default', which is also where configurations stored before names existed appear.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/sfp/api/devconfig?repositoryIdentifier=flxbl-io%2Fsf-core" \ -H "Content-Type: application/json" \ -d '{ "devconfig": {} }'{ "repositoryIdentifier": "string", "config": "PO_ClientOpsconfig", "devconfig": {}, "version": 0, "sourcePath": "string"}/sfp/api/devconfigAuthorization
access-token In: header
Query Parameters
Repository identifier in format owner/repo
Named configuration to address. A repository stores one configuration per devconfig file (persona); omitting the name addresses 'default', which is also where configurations stored before names existed appear.
Response Body
curl -X DELETE "https://example.com/sfp/api/devconfig?repositoryIdentifier=flxbl-io%2Fsf-core"/sfp/api/devconfig/repository-configsAuthorization
access-token In: header
Query Parameters
Repository identifier in format owner/repo
Repository branch to read the configurations from
Response Body
application/json
curl -X GET "https://example.com/sfp/api/devconfig/repository-configs?repositoryIdentifier=flxbl-io%2Fsf-core&branch=main"{ "branch": "string", "configs": [ { "path": "string", "accessLevels": [ "string" ] } ]}/sfp/api/devconfig/importAuthorization
access-token In: header
Query Parameters
Repository identifier in format owner/repo
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/sfp/api/devconfig/import?repositoryIdentifier=flxbl-io%2Fsf-core" \ -H "Content-Type: application/json" \ -d '{ "branch": "main" }'{ "repositoryIdentifier": "string", "config": "PO_ClientOpsconfig", "devconfig": {}, "version": 0, "sourcePath": "string"}